package com.gic.haoban.manage.service.service.impl;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;

import com.alibaba.dubbo.config.annotation.Service;
import com.gic.haoban.common.utils.EntityUtil;
import com.gic.haoban.common.utils.StringUtil;
import com.gic.haoban.manage.api.dto.MemberUnionidRelatedDTO;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanExternalClerkRelatedMapper;
import com.gic.haoban.manage.service.entity.TabHaobanExternalClerkRelated;
import com.gic.haoban.manage.service.service.ExternalClerkRelatedService;

@Service
public class ExternalClerkRelatedServiceImpl implements ExternalClerkRelatedService {
	
	@Autowired
	private TabHaobanExternalClerkRelatedMapper mapper;

	@Override
	public void insert(TabHaobanExternalClerkRelated related) {
		String clerkId = related.getClerkId();
		String externalUserId = related.getExternalUserId();
		TabHaobanExternalClerkRelated tab = mapper.selectByClerkIdAndExternalUserId(clerkId,externalUserId);
		if(tab != null){
			String uuId = StringUtil.randomUUID();
			related.setExternalClerkRelatedId(uuId);
			related.setCreateTime(new Date());
			related.setUpdateTime(new Date());
			mapper.insertSelective(related);
		}
		
		
	}

	@Override
	public void delByUserIdAndExternalUserId(MemberUnionidRelatedDTO dto) {
		mapper.delByUserIdAndExternalUserId(EntityUtil.changeEntityByJSON(TabHaobanExternalClerkRelated.class, dto));
		
	}

}
